List Attached Security Groups
Lists the security groups currently attached to the load balancer's underlying VM, with their inbound/outbound rules. The vm_id path parameter is the node_detail.vm_id of the load balancer.
GET
/api/v1/security_group/{vm_id}/attach/Path parameters
vm_idPathintegerrequiredThe
vm_idfield from thenode_detailobject in the List Load Balancers response.- required
- must be a valid VM ID
example23456
Query parameters
project_idQueryintegerrequiredIdentifier of the project to scope the request to. Required integer project ID.
- required
- must be a valid integer project ID
example{{project_id}}apikeyQuerystringrequiredAPI key used to authenticate the request
- required
- non-empty string
example{{api_key}}locationQuerystringrequiredRegion of the load balancer.
- must be a non-empty string
example{{location}}
Responses
200Successful response
example
200Security groups currently attached to the load balancer's VM.
example
Success